Package Details: waterfox-g3-kpe 1.1-0

Git Clone URL: https://aur.archlinux.org/waterfox-g3-kpe.git (read-only, click to copy)
Package Base: waterfox-g3-kpe
Description: Customizable privacy conscious web browser with better integration with KDE and primary support for webextensions
Upstream URL: https://www.waterfox.net/
Keywords: firefox kwaterfox plasma waterfox-g3-kde waterfox-kde
Licenses: MPL
Provides: waterfox-g3=1.1
Submitter: hawkeye116477
Maintainer: hawkeye116477
Last Packager: hawkeye116477
Votes: 2
Popularity: 1.24
First Submitted: 2020-11-23 20:43
Last Updated: 2021-02-26 15:18

Dependencies (42)

Required by (0)

Sources (12)

Pinned Comments

hawkeye116477 commented on 2020-11-24 13:46

Precompiled package with LTO+PGO and langpacks are available on my repository on OBS.

Source files at: https://build.opensuse.org/package/show/home:hawkeye116477:waterfox/waterfox-g3-kpe.

[home_hawkeye116477_waterfox_Arch]
SigLevel = Never
Server = https://download.opensuse.org/repositories/home:/hawkeye116477:/waterfox/Arch/$arch

If you got 404, then temporarily try to replace download.opensuse.org with downloadcontent.opensuse.org. That should enforce direct download without mirror.

Latest Comments

1 2 Next › Last »

leopseft commented on 2021-03-07 00:35

For crashing tabs try to disable the browser.tabs.remote.autostart (on about:config)

ranger commented on 2021-03-06 19:34

@davep I used the precompliled package from hawkeye116477

davep commented on 2021-03-06 11:43

Confirm tab crash on 3.1.1 when playing any media source - video or audio.

Mar 06 11:33:29 laptop2 rtkit-daemon[1258]: Supervising 4 threads of 2 processes of 1 users.
Mar 06 11:33:29 laptop2 rtkit-daemon[1258]: Supervising 4 threads of 2 processes of 1 users.
Mar 06 11:33:29 laptop2 rtkit-daemon[1258]: Supervising 4 threads of 2 processes of 1 users.
Mar 06 11:33:29 laptop2 rtkit-daemon[1258]: Supervising 4 threads of 2 processes of 1 users.
Mar 06 11:33:29 laptop2 rtkit-daemon[1258]: Successfully made thread 2202 of process 2098 owned by '500' RT at priority 10.
Mar 06 11:33:29 laptop2 rtkit-daemon[1258]: Supervising 5 threads of 3 processes of 1 users.
Mar 06 11:33:29 laptop2 audit[2098]: ANOM_ABEND auid=500 uid=500 gid=1000 ses=2 pid=2098 comm=4D6564696144657E68696E65202331 exe="/usr/lib/waterfox-g3/waterfox-g3" sig=11 res=1
Mar 06 11:33:29 laptop2 kernel: MediaDe~hine #1[2192]: segfault at 0 ip 00007fe4ab606d2b sp 00007fe48b5e6cc0 error 4 in libmozsandbox.so[7fe4ab5fa000+17000]
Mar 06 11:33:29 laptop2 kernel: Code: 05 00 00 00 89 c6 4c 89 c2 31 c0 e8 7f 6c ff ff 48 89 c3 48 85 c0 79 c2 e8 d2 6b ff ff 48 63 18 48 f7 db eb b5 83 f8 9c 74 09 <80> 3a 2f 0f 85 9b 00 00 00 41 89 f9 41 81 e>
Mar 06 11:33:29 laptop2 kernel: audit: type=1701 audit(1615030409.119:77): auid=500 uid=500 gid=1000 ses=2 pid=2098 comm=4D6564696144657E68696E65202331 exe="/usr/lib/waterfox-g3/waterfox-g3" sig=11 res=1

@ranger @punkrockguy318 Did you find a pre-compiled package for 3.1.0 or build from source?

ranger commented on 2021-03-01 07:10

@ punkrockguy318 Same here. Not only YouTube, every video will crash the tab. I had to downgrade to G3.1.0

punkrockguy318 commented on 2021-03-01 00:50

Not sure if anyone else is having this problem, and its likely not even related to this Arch package but with waterfox itself, but ever since updating to the 3.1.1 version of this package, youtube videos fail to load with the annoyingly worded "Gah! Your tab has crashed" error message. Downgrading to 3.1.0 solved these issues for me.

leopseft commented on 2021-02-28 16:06

The kpe edition works really much much faster and smoother on KDE. "Simple" edition has responsiveness issues on my old machine (2010, core2duo, 4GB ram, SSD). I'm really happy and impressed. Of course I downloaded the precompiled package from the OpenSUSE's link and installed with pacman -U <package_name>, because my machine would really suffer to compile from source!!

ZorinArch commented on 2021-02-08 09:44

After installing the package with titlebar turned off, the minimize / maximize / close buttons disappear. check this https://gitlab.com/Thaodan/firefox-kde-opensuse/-/issues/8

Nikita790 commented on 2021-01-15 01:20

builds for me

hawkeye116477 commented on 2020-12-25 10:37

@hockeymikey If you can, try to downgrade cbindgen to 0.15.0. That should help until we find real fix.

hockeymikey commented on 2020-12-24 09:02

Failed to build for me. Seeing similar results or should I investigate in the morning?